%global pypi_name jupyter-packaging
%global python_module_name jupyter_packaging

Name:           python-%{pypi_name}
Version:        0.7.11
Release:        1%{?dist}
Summary:        Tools to help build and install Jupyter Python packages

License:        BSD
URL:            https://github.com/jupyter/jupyter-packaging
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
This package contains utilities for making Python packages with and without
accompanying JavaScript packages.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# Deselect the tests that try to run `pip install` directly.
# https://github.com/jupyter/jupyter-packaging/issues/63
%{python3} -m pytest \
    --deselect=tests/test_datafiles_install.py \
    --deselect=tests/test_install.py

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{python_module_name}-*.egg-info/
%{python3_sitelib}/%{python_module_name}/

%changelog
* Fri Jan 08 2021 Filipe Brandenburger <filbranden@gmail.com> - 0.7.11-1
- Initial packaging.
